<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
  </head>

<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button text="Atrás" defaultHref="/tabs/films"></ion-back-button>
     </ion-buttons>
    <ion-title>PERSONAJES</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-searchbar debounce="1000" placeholder="Buscar Personaje..." (ionChange)="ionChange($event)" id="filter"></ion-searchbar>

  <section class="d-flex flex-wrap flex-column justify-content-center flex-sm-row" id="cards">
    <div class="card col-12 col-sm-5 col-md-3 m-2 flex-row flex-sm-column justify-content-center" *ngFor="let character of characters">
      <div class="card-body">
        <img src="assets/img/{{character.name}}.jpg" class="card-img d-none d-sm-block w-100 mb-3" alt="imagen character {{character.name}}">
        <img src="assets/img/{{character.name}}.jpg" class="card-img d-block d-sm-none w-50" alt="imagen character {{character.name}}">
        <div class="content d-inline-block">
          <h3 class="card-title">{{character.name}}</h3>
          <p class="card-text"><b>Gender:</b> {{character.gender || character.gander}}</p>
          <p class="card-text"><b>Age:</b> {{character.age}}</p>
          <p class="card-text"><b>Eye color:</b> {{character.eye_color}}</p>
          <p class="card-text"><b>Hair color: </b>{{character.hair_color}}</p>
      </div>
      </div>
    </div>
  </section>
</ion-content>


<script type="text/javascript"> 
   /* const searchbar = document.querySelector('ion-searchbar');
    const items = Array.from(document.getElementById('cards').children);

    searchbar.addEventListener('ionInput', handleInput);

    function handleInput(event) {
        const query = event.target.value.toLowerCase();
        requestAnimationFrame(() => {
          items.forEach((item) => {
            const shouldShow = item.textContent.toLowerCase().indexOf(query) > -1;
            item.style.display = shouldShow ? 'block' : 'none';
          });
        });
      }*/

  /*function filter(text) {
    var cards = document.getElementById("cards").children;
      for (let card of cards) {
        let content = card.innerHTML.toUpperCase()
      text = text.toUpperCase()
      card.style.display = content.match(text) ? "block" : "none"
    }
  }*/
</script>


</html>